zabbix_agent Cookbook
=====================
[![Build Status](https://travis-ci.org/som3guy/zabbix_agent.svg?branch=master)](https://travis-ci.org/som3guy/zabbix_agent) [![Chef cookbook](https://img.shields.io/cookbook/v/zabbix_agent.svg?maxAge=2592000)](https://github.com/som3guy/zabbix_agent)

This cookbook is used to install zabbix agent on hosts you would like to monitor.

### Supports ###
* Centos 6/7
* Debian 7/8
* Ubuntu 14

### Requirements ###
- Chef 12+
- Network accessible package repositories

###Cookbook dependencies
- yum-epel
- apt

###Attributes
#### zabbix_agent::default

These attributes must be set:
- `['zabbix']['agent']['conf']['Server']` - Set to the zabbix server name or IP
- `['zabbix']['agent']['conf']['ServerActive'] ` - Set to the zabbix server name or IP

### Usage ###
#### zabbix_agent::default

Just include `zabbix_agent` in your node's `run_list`:

```json
{
  "name":"my_node",
  "run_list": [
    "recipe[zabbix_agent]"
  ]
}
```

### Contributing ###
1. Fork the repository on Github
2. Create a named feature branch (like `add_component_x`)
3. Write your change
4. Write tests for your change using kitchen
5. Run the tests, ensuring they all pass
6. Submit a Pull Request using Github
